PYUIC4(1)

NAME
pyuic4 - compile Qt4 user interfaces to Python code

SYNOPSIS
pyuic4 [OPTION]... FILE

DESCRIPTION
pyuic4 takes a Qt4 user interface description file and compiles it to Python code. It can also show a preview of the user interface.

OPTIONS

-h, --help
    Show a summary of the options.

--version
    Display the version number of pyuic4 of the version of Qt which PyQt4 was generated for.

-p, --preview
    Show a preview of the UI instead of generating Python code.

-o, --output=FILE
    Write the generated Python code to FILE instead of stdout.

-d, --debug
    Show detailed debugging information about the UI generation process.

-x, --execute
    Generate extra code to test and display the class when executed as a script.

-i, --indent=NUM
    Set the indentation width to NUM spaces. A TAB character will be used if NUM is 0 (default: 4).

AUTHOR
This manual page was written for Debian GNU/Linux by Torsten Marek <shlomme@debian.org>, but may freely be used by others.